// {} Librerías e importaciones

// {}
(() => {

  // ! Declaración de variables
  let peticion = { actual: null }

  // !
  $(id_suplidor).focusout(function(evento) {

    // +
    if (!this.value)
      return formularioSuplidor.reset()
    ;

    // + Condición para verificar si la
    // + petición existe y cancelarla
    peticion.actual &&
    peticion.actual.abort();

    // + Petición hacía el
    // + controlador 'traerRegistros'
    peticion.actual = $.ajax({
      url: `${window.aplicacion.enlace}/ejecutar`,
      data: {
        procedimiento: 'p_traer_unico_registro',
        renglon: 'SUPLIDOR',
        id_renglon: this.value
      },
      beforeSend: function(peticion, configuracion) { formularioSuplidor.reset() },
      success: function(respuesta, estado, peticion) {},
      error: function(peticion, estado) {},
      complete: function(peticion, estado) {},
      campo: { elemento: this },
      formulario: { elemento: formularioSuplidor }
    })

  })

})()
